| Haskell Hierarchical Libraries (time package) | Source code | Contents | Index

Data.Time.Calendar.Easter

Synopsis

sundayAfter :: Day -> Day
orthodoxPaschalMoon :: Integer -> Day
orthodoxEaster :: Integer -> Day
gregorianPaschalMoon :: Integer -> Day
gregorianEaster :: Integer -> Day

Documentation
sundayAfter :: Day -> Day
The next Sunday strictly after a given day.
orthodoxPaschalMoon :: Integer -> Day
Given a year, find the Paschal full moon according to Orthodox Christian tradition
orthodoxEaster :: Integer -> Day
Given a year, find Easter according to Orthodox Christian tradition
gregorianPaschalMoon :: Integer -> Day
Given a year, find the Paschal full moon according to the Gregorian method
gregorianEaster :: Integer -> Day
Given a year, find Easter according to the Gregorian method
Produced by Haddock version 0.8